Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--java.security.BasicPermission
                  |
                  +--javax.management.MBeanServerPermission

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

public class MBeanServerPermission
extends java.security.BasicPermission

A Permission to perform actions related to MBeanServers. The name of the permission specifies the operation requested or granted by the permission. For a granted permission, it can be `*` to allow all of the MBeanServer operations specified below. Otherwise, for a granted or requested permission, it must be one of the following:

createMBeanServer
  Create a new MBeanServer object using the method `MBeanServerFactory.createMBeanServer()` or `MBeanServerFactory.createMBeanServer(java.lang.String)`.
findMBeanServer
  Find an MBeanServer with a given name, or all MBeanServers in this JVM, using the method `MBeanServerFactory.findMBeanServer(java.lang.String)`.
newMBeanServer
  Create a new MBeanServer object without keeping a reference to it, using the method `MBeanServerFactory.newMBeanServer()` or `MBeanServerFactory.newMBeanServer(java.lang.String)`.
releaseMBeanServer
  Remove the MBeanServerFactory's reference to an MBeanServer, using the method `MBeanServerFactory.releaseMBeanServer(javax.management.MBeanServer)`.

The name of the permission can also denote a list of one or more comma-separated operations. Spaces are allowed at the beginning and end of the name and before and after commas.

`MBeanServerPermission("createMBeanServer")` implies `MBeanServerPermission("newMBeanServer")`.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CREATE_MBEAN_SERVER`
`static java.lang.String` | `FIND_MBEAN_SERVER`
`static java.lang.String` | `NEW_MBEAN_SERVER`
`static java.lang.String` | `RELEASE_MBEAN_SERVER`

Constructor Summary
`MBeanServerPermission(java.lang.String name)` Create a new MBeanServerPermission with the given name.
`MBeanServerPermission(java.lang.String name, java.lang.String action)` Create a new MBeanServerPermission with the given name.

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE_MBEAN_SERVER

    public static final java.lang.String CREATE_MBEAN_SERVER

See Also:
  Constant Field Values

### FIND_MBEAN_SERVER

    public static final java.lang.String FIND_MBEAN_SERVER

See Also:
  Constant Field Values

### NEW_MBEAN_SERVER

    public static final java.lang.String NEW_MBEAN_SERVER

See Also:
  Constant Field Values

### RELEASE_MBEAN_SERVER

    public static final java.lang.String RELEASE_MBEAN_SERVER

See Also:
  Constant Field Values

Constructor Detail

### MBeanServerPermission

    public MBeanServerPermission(java.lang.String name)

  Create a new MBeanServerPermission with the given name. This constructor is equivalent to MBeanServerPermission(name,null).

Parameters:
  `name` - the name of the granted permission. It must respect the constraints spelt out in the description of the MBeanServerPermission class.

### MBeanServerPermission

    public MBeanServerPermission(java.lang.String name,
                                 java.lang.String action)

  Create a new MBeanServerPermission with the given name.

Parameters:
  `name` - the name of the granted permission. It must respect the constraints spelt out in the description of the MBeanServerPermission class.
  `action` - the associated actions. This parameter is not currently used and must be null or the empty string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD